Upload a bank statement CSV. Run in API Explorer
Ask AI
POST
/api/v1/bank-statement/upload
curl \
--request POST 'https://api.plannrcrm.com/api/v1/bank-statement/upload' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"statement_uuid":"32ed5723-da77-43f5-850d-1e345512f2d5","date":"2026-08-07","reference":"Natwest Statement #8434","bank_transactions":[{"date":"2022-07-15","amount":12345,"reference":"AvivaRef#34"},{"date":"2022-07-14","amount":19855,"reference":"VIT_LTD"}],"filename":"natwest-statement-2022-04-05.csv"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"statement_uuid": "32ed5723-da77-43f5-850d-1e345512f2d5",
"date": "2026-08-07",
"reference": "Natwest Statement #8434",
"bank_transactions": [
{
"date": "2022-07-15",
"amount": 12345,
"reference": "AvivaRef#34"
},
{
"date": "2022-07-14",
"amount": 19855,
"reference": "VIT_LTD"
}
],
"filename": "natwest-statement-2022-04-05.csv"
}
Response examples (200)
{
"uuid": "aa96fa5e-8785-415c-a7ea-4024670e63f4",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "4NwMji7wVg",
"policy_number": "AVIVA_00001",
"date": "2026-08-07",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"provider_statement": {
"uuid": "1fb61e85-70cc-4473-b073-12975ca85fda",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"number": 23,
"name": "Aviva",
"date": "2026-08-07",
"reference": "SW#8434",
"filename": "aviva-statement-may.csv",
"origin": "upload",
"provider": {
"uuid": "45616562-461b-465c-9f37-e119c1d07382",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"statement": {
"uuid": "44c6c348-79aa-4019-950e-4d74fa6c66c2",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-08-07T15:29:32+01:00",
"total_expectations": null,
"total_statement_transactions": null,
"total_bank_transactions": null,
"total_expectation_amount_reconciled_to_bank": null,
"total_expectation_percentage_reconciled_to_bank": null,
"expectations_count": 6,
"statement_transactions_count": 6
},
"statement_transactions_count": 6,
"statement_transactions": {
"uuid": "9cee05b6-a860-4492-bf28-4f34ea615965",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "02F8tRl7qN",
"policy_number": "AVIVA_00001",
"date": "2026-08-07",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"metadata": {
"client_name": "Gareth Thompson"
}
},
"total_amount": {
"amount": "345895",
"currency": "GBP",
"formatted": "£3,458.95"
},
"reconciled_expectations_amount": {
"amount": "12849",
"currency": "GBP",
"formatted": "£128.49"
},
"reconciled_expectations_percentage": 95.68,
"reconciled_bank_transactions_amount": {
"amount": "22985",
"currency": "GBP",
"formatted": "£229.85"
},
"reconciled_bank_transactions_percentage": 95.68,
"is_fully_reconciled_to_expectations": true
},
"metadata": {
"client_name": "Gareth Thompson"
},
"expectation": {
"uuid": "17dadc09-ff10-4725-af4b-fa51563b922c",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"payment_origin": "provider",
"type": "fee",
"category": "ongoing_fee",
"expected_payment_date": "2026-08-07T15:29:26+01:00",
"tax_exempt": true,
"tax": 20,
"recurring": true,
"is_balanced": false,
"unbalanced_expected_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"expected_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"percentage": 0.75,
"exclude_from_rmar": true,
"rmar_type": "adviser_charge",
"advice_type": "independent",
"service_type": "initial",
"advice_area_gross": {
"deposit": 7500,
"non_regulated": 0,
"non_rmar": 0,
"non_investment_insurance": 0,
"regulated_mortgage": 2500,
"retail_investment": 0,
"other_fca_regulated": 0,
"unknown": 0
},
"advice_area_net": {
"deposit": 7500,
"non_regulated": 0,
"non_rmar": 0,
"non_investment_insurance": 0,
"regulated_mortgage": 2500,
"retail_investment": 0,
"other_fca_regulated": 0,
"unknown": 0
},
"account": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"seller": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"author": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"charge_schedule": {
"uuid": "5d23625c-8af1-477a-ac40-1be415ed2d85",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"payment_origin": "provider",
"type": "fee",
"category": "ongoing_fee",
"recurring": true,
"frequency": "monthly",
"start_date": "2025-12-07",
"end_date": "2026-09-07",
"next_expectation_date": "2026-08-17",
"tax_exempt": false,
"tax": 17.5,
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"percentage": 0.75,
"percentage_frequency": "annually",
"charge_identifier": "PLANNR-72484",
"exclude_from_rmar": true,
"rmar_type": "adviser_charge",
"advice_type": "independent",
"service_type": "initial",
"advice_area": {
"deposit": 7500,
"non_regulated": 0,
"non_rmar": 0,
"non_investment_insurance": 0,
"regulated_mortgage": 2500,
"retail_investment": 0,
"other_fca_regulated": 0,
"unknown": 0
},
"plan_value": "plan",
"chargeable_type": null,
"notes_count": 5
},
"chargeable_type": "plan",
"chargeable": {
"uuid": "151f89bd-3bce-4369-8d5e-942bdf39bfdb",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"opened_at": "2026-08-07T15:29:31+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-08-07T15:29:31+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-08-07",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-08-07",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-08-07T15:29:31+01:00",
"original_valued_at": "2026-08-06T15:29:31+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"statement_transactions": {
"uuid": "9cee05b6-a860-4492-bf28-4f34ea615965",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "02F8tRl7qN",
"policy_number": "AVIVA_00001",
"date": "2026-08-07",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"metadata": {
"client_name": "Gareth Thompson"
}
},
"statement": {
"uuid": "44c6c348-79aa-4019-950e-4d74fa6c66c2",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-08-07T15:29:32+01:00",
"total_expectations": null,
"total_statement_transactions": null,
"total_bank_transactions": null,
"total_expectation_amount_reconciled_to_bank": null,
"total_expectation_percentage_reconciled_to_bank": null,
"expectations_count": 6,
"statement_transactions_count": 6
},
"income_splits": {
"splitable_type": "account",
"splitable_uuid": "368650f2-7114-40a2-85ef-4a8bbb0f1942",
"type": "selling_adviser",
"name": "Gareth Thompson",
"requested_percentage": 70,
"percentage": 70,
"expected_amount": null,
"expected_gross_amount": null,
"expected_net_amount": null,
"expected_fci_recognition": null,
"reconciled_gross_amount": null,
"reconciled_net_amount": null,
"reconciled_fci_recognition": null,
"bank_receipt_date": "2026-08-07"
},
"firm": {
"uuid": "b0e957af-03d9-4072-9cbe-9b59d7d5e8da",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"notes_count": 5
},
"bank_transactions": [
{
"uuid": "cd3bb313-f52e-4774-adf3-719300e35c80",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"date": "2022-07-15",
"amount": {
"amount": "12399",
"currency": "GBP",
"formatted": "£123.99"
},
"reference": "VitalityLtd",
"metadata": {
"client_name": "Gareth Thompson"
},
"filename": "Natwest June 2022 Statement.xlsx",
"bank_statement": {
"uuid": "039ea8ed-442b-4756-8913-c47bc35b915d",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"number": 23,
"reference": "SW#8434",
"date": "2026-08-07",
"name": "Aviva",
"bank_transactions_count": 6,
"total_amount": null,
"reconciled_amount": null,
"reconciled_percentage": 95.68
},
"statement": {
"uuid": "44c6c348-79aa-4019-950e-4d74fa6c66c2",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-08-07T15:29:32+01:00",
"total_expectations": null,
"total_statement_transactions": null,
"total_bank_transactions": null,
"total_expectation_amount_reconciled_to_bank": null,
"total_expectation_percentage_reconciled_to_bank": null,
"expectations_count": 6,
"statement_transactions_count": 6
},
"account": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"firm": {
"uuid": "b0e957af-03d9-4072-9cbe-9b59d7d5e8da",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
}
}
],
"statement": {
"uuid": "b9d8e1b4-1a3b-4395-90bf-bf95f7e4ede1",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"name": "01/06/2022 - 30/06/2022",
"start_date": "2022-06-30",
"end_date": "2022-06-01",
"locked": false,
"locked_at": "2026-08-07T15:29:26+01:00",
"locked_by": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"total_expectations": {
"amount": "124585",
"currency": "GBP",
"formatted": "£1,245.85"
},
"total_statement_transactions": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_bank_transactions": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_expectation_amount_reconciled_to_bank": {
"amount": "125599",
"currency": "GBP",
"formatted": "£1,255.99"
},
"total_expectation_percentage_reconciled_to_bank": {
"amount": "8570",
"currency": "GBP",
"formatted": "£85.70"
},
"expectations_count": 6,
"statement_transactions_count": 6,
"statement_transactions": {
"uuid": "9cee05b6-a860-4492-bf28-4f34ea615965",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"client_name": "Gareth Thompson",
"transaction_reference": "02F8tRl7qN",
"policy_number": "AVIVA_00001",
"date": "2026-08-07",
"gross_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"net_amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"category": "initial_fee",
"payment_origin": "provider",
"agency_number": "Agency number",
"product_reference": "Product reference",
"adviser_name": "Adviser name",
"sender_id_sib_number": "Sender id sib number",
"reason": "Reason",
"auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
"scheme_name": "Scheme name",
"scheme_number": "Scheme number",
"customer_number": "Customer number",
"policy_market_value": "Policy market value",
"provider": "Aviva",
"metadata": {
"client_name": "Gareth Thompson"
}
}
},
"account": {
"uuid": "3ec3df00-4a87-4e0c-b86e-e1ae0464b352",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "b0e957af-03d9-4072-9cbe-9b59d7d5e8da",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "68760323-f4da-4f8f-a151-1b3c68c631dd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "68760323-f4da-4f8f-a151-1b3c68c631dd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "56f4ec36-7b7f-4ef4-8cd3-4b19f373ec13",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-08-07T14:39:31+01:00",
"end_date": "2026-08-07T15:07:31+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "eb0f54c4-e036-4d7c-8773-1d49e7dd5697",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00"
},
"tags": {
"uuid": "765192aa-418f-4802-a430-62513b927bcd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-08-07T15:29:26+01:00",
"next_review_date": "2026-08-07T15:29:26+01:00",
"previous_review_date": "2026-08-07T15:29:26+01:00",
"anniversary_review_date": "2026-08-07T15:29:26+01:00",
"terms_of_business_at": "2026-08-07T15:29:26+01:00",
"client_agreement_at": "2026-08-07T15:29:26+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "2d538014-18fc-4a75-85e0-9b9b4b87f00c",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:31+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "812daeb0-c99e-4443-a1d2-96c81c14328e",
"login_access_level": "write",
"current_life_stage_uuid": "a16ce1f7-248d-4afe-b85e-7f156be71ef4"
},
"circles": {
"uuid": "2d538014-18fc-4a75-85e0-9b9b4b87f00c",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:31+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "812daeb0-c99e-4443-a1d2-96c81c14328e",
"login_access_level": "write",
"current_life_stage_uuid": "a16ce1f7-248d-4afe-b85e-7f156be71ef4"
},
"ownership_percentage": 100,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:26",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:26+01:00",
"out_of_office_until": "2026-08-07T15:29:26+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "2244294c-23fd-429a-b952-64a6fc469ad4",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"firm": {
"uuid": "ade85b50-507b-4b3e-b6ed-c9a81f4a9b43",
"created_at": "2026-08-07T15:29:26+01:00",
"updated_at": "2026-08-07T15:29:26+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"addon_subscriptions": {
"uuid": "c39aae26-a296-4b66-bd8f-80c05ba726f2",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"enabled": "true",
"trial_ends_at": "2026-08-21",
"trial_ends_in_days": 14,
"payment_confirmed_at": "2026-08-25"
},
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"task_board_template": {
"uuid": null,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"is_template": false,
"name": "Task Board",
"default_list_uuid": null,
"is_editable": true,
"priorities": [
{
"name": "High",
"value": "high"
},
{
"name": "Low",
"value": "low"
}
]
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}